> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuddl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event details

> Use this endpoint to retrieve the details of a specific event, webinar, or field event created in your Zuddl organization.

Required API key scopes: `READ`



## OpenAPI

````yaml https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}
openapi: 3.1.0
info:
  title: Zuddl API Documentation
  description: >-
    Zuddl RESTful APIs let you interact with the Zuddl platform and take action
    for your event or webinar. They let you add attendees, get attendee details,
    get event details, and more.


    The API response is returned in JSON, which your systems can easily consume.


    The API parameters allow you to customize the response using filters,
    sorting, pagination, and other parameters. Parameter values should be
    percent-encoded (URL-encoded) to ensure correct transmission, especially if
    they contain special characters such as spaces, semi-colons, or slashes.


    # Rate limits


    | Metrics | Value |

    | --- | --- |

    | Requests/second | 10 |

    | Burst or no. of concurrent calls allowed | 100 requests |

    | Total quota | 10000 requests/day |
  version: '1.0'
servers:
  - url: https://api.zuddl.com/
security:
  - api_key: []
tags:
  - name: Events
    description: API endpoints for managing events
  - name: Attendees
    description: >-
      The attendee APIs let you add and retrieve attendee in a particular event
      type.
  - name: Sessions
    description: API endpoints for managing event sessions
  - name: Speakers
    description: API endpoints for managing event speakers
  - name: Sponsors
    description: API endpoints for managing event sponsors
  - name: Locations
    description: API endpoints for managing event locations
paths:
  /v1/events/{eventId}:
    get:
      tags:
        - Events
      summary: Get event details
      description: >-
        Use this endpoint to retrieve the details of a specific event, webinar,
        or field event created in your Zuddl organization.


        Required API key scopes: `READ`
      operationId: getAnEvent
      parameters:
        - name: eventId
          in: path
          description: Unique identifier of the event
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
      responses:
        '200':
          description: Event details retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app.domain.api_product.event.EventDetail
        '400':
          description: Invalid event ID supplied
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '401':
          description: Unauthorized access to event
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
components:
  schemas:
    org.events.app.domain.api_product.event.EventDetail:
      properties:
        kind:
          type: string
        url:
          type: string
          format: uri
        id:
          type: string
          format: uuid
          description: ID of the event
        organizationId:
          type: string
          format: uuid
          description: ID of the organization
        name:
          type: string
          description: Name of the event
          example: Huddle with zuddl.
        teamName:
          type: string
          description: TeamName of the event
          example: General
        description:
          type: string
          description: Description of the event
          example: join us to learn more about zuddl.
        identifier:
          type: string
          description: Identifier of the event
          example: event-123
        startDate:
          type: string
          format: date-time
          description: startDate of the event
          example: '2025-04-11T12:30:00Z'
        endDate:
          type: string
          format: date-time
          description: endDate of the event
          example: '2025-04-14T12:30:00Z'
        timezone:
          type: string
          description: Timezone of the event
          example: UTC/IST
        status:
          type: string
          description: Status of the event
          enum:
            - UPCOMING
            - ONGOING
            - CANCELED
            - COMPLETED
          example: ONGOING/COMPLETED
        type:
          type: string
          description: Type of the event
          enum:
            - EVENT
            - FIELD_EVENT
            - WEBINAR
            - THIRD_PARTY_EVENT
          example: WEBINAR/FIELD_EVENT/EVENT
        eventFormat:
          type: string
          description: Format of the event
          enum:
            - VIRTUAL
            - IN_PERSON
            - HYBRID
          example: VIRTUAL/IN_PERSON/HYBRID
        websiteUrl:
          type: string
          description: websiteUrl of the event
          example: https://zuddl.com
        parentEventId:
          type: string
          format: uuid
          description: parentEventId of the event
        location:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.Event.EventLocation
        virtualEventUrl:
          type: string
          description: virtualEventUrl of the event
          example: https://zuddl.com
        createdAt:
          type: string
          format: date-time
          description: createdAt of the event
          example: '2025-04-11T12:30:00Z'
        createdBy:
          type: string
          format: uuid
          description: createdBy of the event
        updatedAt:
          type: string
          format: date-time
          description: updatedAt of the event
          example: '2025-04-11T12:30:00Z'
        updatedBy:
          type: string
          format: uuid
          description: updatedBy of the event
        tags:
          type: array
          description: Tags associated with the event
          example:
            - id: tag1
              name: Webinar
              color: '#AAFFEE'
              categoryId: category1
              categoryName: Event type
              categoryColor: '#BBDDEE'
              lastAppliedAt: '2025-09-01T06:31:35.711971Z'
              usageCount: 2
            - id: tag2
              name: Field Event
              color: '#BBFFEE'
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.event.tags.OrganizationTagDTO.Base
        customProperties:
          type: array
          description: >-
            Custom properties associated with the event, as key-value pairs
            (e.g. the Salesforce campaign ID).
          items:
            $ref: >-
              #/components/schemas/org.events.app.domain.api_product.event.EventDetail.CustomProperties
    org.events.app._internal._response.v1.ApiErrorResponse:
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
        description:
          type: string
        errors:
          type: object
          additionalProperties:
            type: string
    org.events.app.domain.api_product.event.Event.EventLocation:
      description: location of the event
      properties:
        venue:
          type: string
          description: venue of the event
        address:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.Event.EventLocation.EventLocationAddress
        coordinates:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.Event.EventLocation.Coordinates
        mapUrl:
          type: string
          description: mapUrl of the event
          example: >-
            https://www.google.com/maps/place/?q=place_id:ChIJ_Q8bfYdGXj4Rz1s_sFHJqcA
    org.events.app.domain.event.tags.OrganizationTagDTO.Base:
      description: Tags associated with the event
      example:
        - id: tag1
          name: Webinar
          color: '#AAFFEE'
          categoryId: category1
          categoryName: Event type
          categoryColor: '#BBDDEE'
          lastAppliedAt: '2025-09-01T06:31:35.711971Z'
          usageCount: 2
        - id: tag2
          name: Field Event
          color: '#BBFFEE'
      properties:
        id:
          type: string
          description: Unique identifier for the tag
          example: tag123
          minLength: 1
        name:
          type: string
          description: Name of the tag
          example: Marketing
          maxLength: 60
          minLength: 2
          pattern: ^[\p{L}\p{N}\s-]+$
        color:
          type: string
          description: Tag's own color or inherited from category
        categoryId:
          type: string
          description: Category ID if tag belongs to a category
        categoryName:
          type: string
          description: Category name
        categoryColor:
          type: string
          description: Category color
        lastAppliedAt:
          type: string
          format: date-time
          description: Last time tag was applied
        usageCount:
          type: integer
          format: int32
          description: Number of times tag has been used
      required:
        - id
        - name
    org.events.app.domain.api_product.event.EventDetail.CustomProperties:
      description: >-
        Custom properties associated with the event, as key-value pairs (e.g.
        the Salesforce campaign ID).
      properties:
        key:
          type: string
          description: Key of the custom property
          example: salesforceCampaignId
        value:
          type: string
          description: Value of the custom property
          example: ABCyyZ1234
    org.events.app.domain.api_product.event.Event.EventLocation.EventLocationAddress:
      description: address of the event
      properties:
        address:
          type: string
          description: venue of the event
        addressLine2:
          type: string
          description: addressLine2 of the event
        city:
          type: string
          description: city of the event
          example: San Francisco
        stateProvince:
          type: string
          description: stateProvince of the event
        postalCode:
          type: string
          description: postalCode of the event
        country:
          type: string
          description: country of the event
    org.events.app.domain.api_product.event.Event.EventLocation.Coordinates:
      description: coordinates of the event
      properties:
        latitude:
          type: string
          description: latitude of the event address
          example: '24.4194509'
        longitude:
          type: string
          description: longitude of the event
          example: '27.4194509'
  securitySchemes:
    api_key:
      type: apiKey
      description: Provide your API key secret in the `Authorization` header
      name: Authorization
      in: header

````